Imports EBSServicesProvider
Imports System.Xml
Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
Imports CharterDotCom.CommonEntities.Library.EntityG2BServices


Partial Class TestHarness_TestProviders_TestELOA
    Inherits System.Web.UI.Page

    Protected Sub btnELOA_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnELOA.Click
        Dim objRequest As New GetELOARequest
        Dim objResponse As New GetELOAResponse
        Try

            objRequest.AffiliateID = "606"
            objRequest.AffiliateName = "Sales Company"
            objRequest.AffiliateType = "dotcom"
            objRequest.DecisionMaker = "Y"
            objRequest.DNIS = "9990018550"
            objRequest.E911 = "Y"
            objRequest.ELOAName = "TestELOA"
            objRequest.FirstName = "Rusty"
            objRequest.LastName = "Steele"
            objRequest.Local = "Y"
            objRequest.LocalToll = "Y"
            objRequest.LongDistance = "Y"
            objRequest.Password = "ELOA_4370"
            objRequest.ReasonCode = ""
            objRequest.SecurityType = "MaidenName"
            objRequest.SecurityValue = "Jones"

            objRequest.Status = "V"
            objRequest.TelephoneNbr = "3035551234"
            objRequest.UserID = "CHARTER_ELOA"
            objRequest.Version = "1"

            Dim TelephoneNumbers(1) As String
            TelephoneNumbers(0) = "3035551001"
            TelephoneNumbers(1) = "3035551002"
            objRequest.WTNs = TelephoneNumbers


            Dim lProvider As CharterDotCom.CommonEntities.Library.IEBSServicesProvider = CType(Activator.GetObject(GetType(IEBSServicesProvider), CStr(System.Web.HttpContext.Current.Application("RemoteURL_EBSServicesProvider"))), IEBSServicesProvider)
            objResponse = lProvider.GetELOA(objRequest)

        Catch ex As Exception
            Response.Write("ELOA Request  Failed with the following error....    ")
            Response.Write(ex.Message)
        End Try
    End Sub
End Class
